<script setup lang="ts">
import { RouterLink } from 'vue-router';
import router from '../router/index';
import { Menu, MenuButton, MenuItems, MenuItem } from '@headlessui/vue'
function getCookie() {
  console.log(document.cookie)
  return document.cookie == "";
}

function deleteSession() {
  console.log(document.cookie)
  document.cookie = "authorization= ;expires=Thu, 01 Jan 1970 00:00:01 GMT";
  document.cookie = "role= ;expires=Thu, 01 Jan 1970 00:00:01 GMT";
  router.push("/");

}
</script>

<template>
  <!-- navbar goes here -->
  <nav class="navbar hidden md:block z-20 sticky">
    <div class="max-w-8full mx-auto px-1">
      <div class="flex justify-between">

        <div class="flex space-x-4">
          <!-- logo -->
          <div class="py-2">
            <RouterLink to="/"
              class="flex items-center border-r border-neutral-300 px-3 text-gray-700 hover:text-gray-900">
              <img alt="Vue logo" class="logo" src="@/assets/logo.svg" width="96" height="96" />
            </RouterLink>
          </div>
          <div class="flex items-center space-x-1">
            <RouterLink to="/transliterator"
              class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">
              Transliterator</RouterLink>
            <RouterLink to="/corpus"
              class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">Katalog
              Kitab</RouterLink>
            <RouterLink to="/ocr"
              class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">OCR
            </RouterLink>
            <RouterLink to="/docs"
              class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">Panduan
            </RouterLink>
          </div>
        </div>

        <!-- secondary nav -->
        <div class="flex items-center space-x-1" v-if="getCookie()">
          <a href="/login"
            class="py-0.5 px-6 border border-emerald-500 hover:border-emerald-400 text-emerald-500 hover:text-emerald-400 rounded-full transition duration-300">Log
            In</a>
        </div>
        <div class="flex items-center space-x-1" v-else>
          <button @click="deleteSession"
            class="py-0.5 px-6 border border-red-500 hover:border-red-400 text-red-500 hover:text-red-400 rounded-full transition duration-300">
            Log Out
          </button>
        </div>
      </div>
    </div>
  </nav>

  <div class="md:hidden m-2 z-20 fixed">

    <Menu>
      <MenuButton><img alt="hamburgerbutton"
          class="logo transition ease-in-out hover:scale-110 opacity-50 hover:opacity-100"
          src="@/assets/hamburgerbutton.svg" width="48" height="48" />
      </MenuButton>
      <transition enter-active-class="transition duration-100 ease-out" enter-from-class="transform scale-95 opacity-0"
        enter-to-class="transform scale-100 opacity-100" leave-active-class="transition duration-75 ease-in"
        leave-from-class="transform scale-100 opacity-100" leave-to-class="transform scale-95 opacity-0">
        <MenuItems
          class="flex flex-col absolute z-10 left-5 w-56 origin-top-right divide-y divide-gray-100 rounded-md bg-white shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none">
          <MenuItem v-slot="{ active }">
          <RouterLink to="/"
            class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">
            Home</RouterLink>
          </MenuItem>
          <MenuItem v-slot="{ active }">
          <RouterLink to="/transliterator"
            class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">
            Transliterator</RouterLink>
          </MenuItem>
          <MenuItem v-slot="{ active }">
          <RouterLink to="/corpus"
            class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">Katalog
            Kitab</RouterLink>
          </MenuItem>
          <MenuItem v-slot="{ active }">
          <RouterLink to="/ocr"
            class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">OCR
          </RouterLink>
          </MenuItem>
          <MenuItem v-slot="{ active }">
          <RouterLink to="/docs"
            class="transition ease-in-out py-2 px-3 text-neutral-400 hover:text-green-400 hover:font-medium">Panduan
          </RouterLink>
          </MenuItem>
          <MenuItem v-slot="{ active }">
          <div class="flex items-center space-x-1" v-if="getCookie()">
            <a href="/login"
              class="py-0.5 px-6 m-1 border border-emerald-500 hover:border-emerald-400 text-emerald-500 hover:text-emerald-400 rounded-full transition duration-300">Log
              In</a>
          </div>
          <div class="flex items-center space-x-1" v-else>
            <button @click="deleteSession"
              class="py-0.5 px-6 m-1 border border-red-500 hover:border-red-400 text-red-500 hover:text-red-400 rounded-full transition duration-300">
              Log Out
            </button>
          </div>
          </MenuItem>
        </MenuItems>
      </transition>
    </Menu>
  </div>

  <a href="https://www.youtube.com/watch?v=Fejv8GD--D4">
    <img alt="gitlabicon" class="transition ease-in-out gitlabicon hover:scale-110" id="swapImage"
      src="@/assets/gitlablogo.svg" width="48" height="48" />
  </a>
</template>

<style>
.navbar {
  background: #FFFFFF;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.gitlabicon {
  position: fixed;
  bottom: 2%;
  right: 1%;
  z-index: 20;
}
</style>
